Package org.apache.wiki.providers

# Class WikiAttachmentAdapterProvider

java.lang.Object
org.apache.wiki.providers.WikiAttachmentAdapterProvider

All Implemented Interfaces:
  `org.apache.wiki.api.providers.AttachmentProvider`, `org.apache.wiki.api.providers.WikiProvider`

@Deprecated public class WikiAttachmentAdapterProvider extends Object implements org.apache.wiki.api.providers.AttachmentProvider
Deprecated.
adapted provider should use `AttachmentProvider` instead.
This provider ensures backward compatibility with attachment providers not using the public API. As providers should use the public API directly, the use of this class is considered deprecated.

See Also:
  - `AttachmentProvider`

## Field Summary

### Fields inherited from interface org.apache.wiki.api.providers.AttachmentProvider

`PROP_STORAGEDIR`

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

## Constructor Summary

Constructors
Constructor
Description
`WikiAttachmentAdapterProvider()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteAttachment(org.apache.wiki.api.core.Attachment att)`
Deprecated.
`void`
`deleteVersion(org.apache.wiki.api.core.Attachment att)`
Deprecated.
`Collection<org.apache.wiki.api.core.Attachment>`
`findAttachments(org.apache.wiki.api.search.QueryItem[] query)`
Deprecated.
`InputStream`
`getAttachmentData(org.apache.wiki.api.core.Attachment att)`
Deprecated.
`org.apache.wiki.api.core.Attachment`
`getAttachmentInfo(org.apache.wiki.api.core.Page page, String name, int version)`
Deprecated.
`String`
`getProviderInfo()`
Deprecated.
`List<org.apache.wiki.api.core.Attachment>`
`getVersionHistory(org.apache.wiki.api.core.Attachment att)`
Deprecated.
`void`
`initialize(org.apache.wiki.api.core.Engine engine, Properties properties)`
Deprecated.
`List<org.apache.wiki.api.core.Attachment>`
`listAllChanged(Date timestamp)`
Deprecated.
`List<org.apache.wiki.api.core.Attachment>`
`listAttachments(org.apache.wiki.api.core.Page page)`
Deprecated.
`void`
`moveAttachmentsForPage(String oldParent, String newParent)`
Deprecated.
`void`
`putAttachmentData(org.apache.wiki.api.core.Attachment att, InputStream data)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WikiAttachmentAdapterProvider

public WikiAttachmentAdapterProvider()
Deprecated.

## Method Details

### initialize

public void initialize(org.apache.wiki.api.core.Engine engine, Properties properties) throws org.apache.wiki.api.exceptions.NoRequiredPropertyException, IOException
Deprecated.

Specified by:
  `initialize` in interface `org.apache.wiki.api.providers.WikiProvider`
Throws:
  `org.apache.wiki.api.exceptions.NoRequiredPropertyException`
  `IOException`

### getProviderInfo

public String getProviderInfo()
Deprecated.

Specified by:
  `getProviderInfo` in interface `org.apache.wiki.api.providers.WikiProvider`

### putAttachmentData

public void putAttachmentData(org.apache.wiki.api.core.Attachment att, InputStream data) throws org.apache.wiki.api.exceptions.ProviderException, IOException
Deprecated.

Specified by:
  `putAttachmentData` in interface `org.apache.wiki.api.providers.AttachmentProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`
  `IOException`

### getAttachmentData

public InputStream getAttachmentData(org.apache.wiki.api.core.Attachment att) throws org.apache.wiki.api.exceptions.ProviderException, IOException
Deprecated.

Specified by:
  `getAttachmentData` in interface `org.apache.wiki.api.providers.AttachmentProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`
  `IOException`

### listAttachments

public List<org.apache.wiki.api.core.Attachment> listAttachments(org.apache.wiki.api.core.Page page) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `listAttachments` in interface `org.apache.wiki.api.providers.AttachmentProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### findAttachments

public Collection<org.apache.wiki.api.core.Attachment> findAttachments(org.apache.wiki.api.search.QueryItem[] query)
Deprecated.

Specified by:
  `findAttachments` in interface `org.apache.wiki.api.providers.AttachmentProvider`

### listAllChanged

public List<org.apache.wiki.api.core.Attachment> listAllChanged(Date timestamp) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `listAllChanged` in interface `org.apache.wiki.api.providers.AttachmentProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### getAttachmentInfo

public org.apache.wiki.api.core.Attachment getAttachmentInfo(org.apache.wiki.api.core.Page page, String name, int version) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `getAttachmentInfo` in interface `org.apache.wiki.api.providers.AttachmentProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### getVersionHistory

public List<org.apache.wiki.api.core.Attachment> getVersionHistory(org.apache.wiki.api.core.Attachment att)
Deprecated.

Specified by:
  `getVersionHistory` in interface `org.apache.wiki.api.providers.AttachmentProvider`

### deleteVersion

public void deleteVersion(org.apache.wiki.api.core.Attachment att) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `deleteVersion` in interface `org.apache.wiki.api.providers.AttachmentProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### deleteAttachment

public void deleteAttachment(org.apache.wiki.api.core.Attachment att) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `deleteAttachment` in interface `org.apache.wiki.api.providers.AttachmentProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### moveAttachmentsForPage

public void moveAttachmentsForPage(String oldParent, String newParent) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `moveAttachmentsForPage` in interface `org.apache.wiki.api.providers.AttachmentProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`